
QGIS Application - Bug report #15641

Processing: Orfeo Optical Calibration throws Python error

2016-09-30 03:30 AM - Filipe Dias

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/Core

Affected QGIS version:master_2 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 23564

Description

Open QGIS, click on Optical Calibration from Orfeo, close it, this error message appears:

An error has occurred while executing Python code:

UnicodeDecodeError: 'ascii' codec can't decode byte 0xce in position 2820: ordinal not in range(128) 

Traceback (most recent call last):

  File "/usr/share/qgis/python/plugins/processing/gui/AlgorithmDialogBase.py", line 116, in requestFinished

    html = unicode(reply.readAll())

UnicodeDecodeError: 'ascii' codec can't decode byte 0xce in position 2820: ordinal not in range(128)

Python version: 2.7.12 (default, Jul  1 2016, 15:12:24) [GCC 5.4.0 20160609] 

QGIS version: 2.17.0 Master, f49f7ce

Python Path:

/home/fd/.qgis2/python/plugins/ntv2_transformations

/usr/share/qgis/python/plugins/processing

/home/fd/.qgis2/python/plugins/postgis_geoprocessing

/home/fd/.qgis2/python/plugins/processinglwgeomprovider

/usr/share/qgis/python

/home/fd/.qgis2/python

/home/fd/.qgis2/python/plugins

/usr/share/qgis/python/plugins

/usr/local/lib/python2.7/dist-packages/natcap.versioner-0.4.2-py2.7.egg

/usr/lib/python2.7/dist-packages

/usr/lib/python2.7

/usr/lib/python2.7/plat-x86_64-linux-gnu

/usr/lib/python2.7/lib-tk

/usr/lib/python2.7/lib-old

/usr/lib/python2.7/lib-dynload

/usr/local/lib/python2.7/dist-packages

/usr/lib/python2.7/dist-packages/PILcompat

/usr/lib/python2.7/dist-packages/gtk-2.0

/usr/lib/python2.7/dist-packages/wx-3.0-gtk2

/home/fd/.qgis2//python

Associated revisions

Revision 11326245 - 2016-10-13 03:18 PM - Alexander Bruy
[processing] correctly handle help loading (fix #15641)

Revision 022c7de5 - 2016-10-13 03:20 PM - Alexander Bruy

[processing] correctly handle help loading (fix #15641)

(cherry picked from commit 11326245fae6b4f7946c950ec5ba2a8151e95c44)

Revision e1607503 - 2016-10-13 03:20 PM - Alexander Bruy

[processing] correctly handle help loading (fix #15641)

(cherry picked from commit 11326245fae6b4f7946c950ec5ba2a8151e95c44)

History

#1 - 2016-09-30 03:31 AM - Filipe Dias

- Subject changed from Processing: Orfeo Optical Calibration to Processing: Orfeo Optical Calibration throws Python error

#2 - 2016-10-13 06:17 AM - Alexander Bruy

- Status changed from Open to Closed

Fixed in changeset commit:"11326245fae6b4f7946c950ec5ba2a8151e95c44".

#3 - 2017-05-01 10:58 AM - Giovanni Manghi

- Regression? set to No

#4 - 2017-05-01 11:01 AM - Giovanni Manghi

- Easy fix? set to No

#5 - 2017-05-01 11:04 AM - Giovanni Manghi

Some providers are being removed from QGIS/Processing (will be available as plugin) and so are their categories in the bug tracker. To not leave them

orphaned of a category they are being reassigned to processing/core.

#6 - 2017-05-01 11:06 AM - Giovanni Manghi

- Category changed from 120 to Processing/Core
